F5 BIG-IP Edge Client for iOS version 2.0.5 has supported Apple iOS 9 from the day iOS 9 was released.  For more information, please refer to the F5 APM Edge App Compatibility Matrix (https://support.f5.com/kb/en-us/products/big-ip_apm/manuals/related/edgeapps-clientcompatmatrix.html) and other F5 Edge Client for BIG-IP client matrices for various releases. 

F5 Edge Client and Apple App Transport Security (ATS) Requirements

F5 has posted about the new Apple ATS requirements (https://devcentral.f5.com/articles/preparing-your-f5-for-new-tls-requirements-in-apple-ios-9-and-os-x-1011) and what you have to be prepared for. In regards, F5 BIG-IP Edge Client for iOS is not affected yet by Apple’s new ATS requirements (as announced in Apple’s technote) because the Edge Client is still linking with a previous version of Apple’s SDK 8.x.  According to Apple’s technote, the new change applies only to apps linking to Apple’s SDK 9.x. With Edge Client for iOS version 2.0.5 on iOS 9, there are more ciphers than the ECDHE ciphers.